using System.Text.Json.Serialization;

namespace Luski.Shared.PublicServers.V1.ServerToClient.HTTP;

public class KeysGetSTC : STC
{
    [JsonInclude]
    [JsonPropertyName("keys")]
    public KeyGetSTC[] Keys { get; set; } = Array.Empty<KeyGetSTC>();
}

[JsonSerializable(typeof(KeysGetSTC))]
[JsonSourceGenerationOptions(
    GenerationMode = JsonSourceGenerationMode.Default,
    PropertyNamingPolicy = JsonKnownNamingPolicy.Unspecified,
    WriteIndented = false,
    DefaultIgnoreCondition = JsonIgnoreCondition.Never)]
public partial class KeysGetSTCContext : JsonSerializerContext;