using System.Text.Json.Serialization;

namespace Luski.Shared.PublicServers.V1.ServerToClient.HTTP;

public class OfflineDataBlobSTC : STC
{
    [JsonInclude]
    [JsonPropertyName("data")]
    public string[] Data { get; set; } = Array.Empty<string>();
}

[JsonSerializable(typeof(OfflineDataBlobSTC))]
[JsonSourceGenerationOptions(
    GenerationMode = JsonSourceGenerationMode.Default,
    PropertyNamingPolicy = JsonKnownNamingPolicy.Unspecified,
    WriteIndented = false,
    DefaultIgnoreCondition = JsonIgnoreCondition.Never)]
public partial class OfflineDataBlobSTCContext : JsonSerializerContext;