using System.Text.Json.Serialization;

namespace Luski.Shared.PublicServers.V1.ServerToClient.HTTP;

public class SocketBulkMessageSTC : STC
{
    [JsonInclude]
    [JsonPropertyName("messages")]
    public MessageSTC[]? Messages { get; set; } = default!;
}

[JsonSerializable(typeof(SocketBulkMessageSTC))]
[JsonSourceGenerationOptions(
    GenerationMode = JsonSourceGenerationMode.Default,
    PropertyNamingPolicy = JsonKnownNamingPolicy.CamelCase,
    WriteIndented = false,
    DefaultIgnoreCondition = JsonIgnoreCondition.Never)]
public partial class SocketBulkMessageSTCContext : JsonSerializerContext;