using System.Text.Json.Serialization;

namespace Luski.Shared.PublicServers.V1.ServerToClient.WSS;

public class WebsocketTokenEventSTC : WebsocketMessageSendEventSTC
{
    [JsonInclude]
    [JsonPropertyName("token")]
    public string Token { get; set; } = default!;
    [JsonInclude]
    [JsonPropertyName("session_token")]
    public string? SessionToken { get; set; }
}

[JsonSerializable(typeof(WebsocketTokenEventSTC))]
[JsonSourceGenerationOptions(
    GenerationMode = JsonSourceGenerationMode.Default,
    PropertyNamingPolicy = JsonKnownNamingPolicy.CamelCase,
    WriteIndented = false)]
public partial class WebsocketTokenEventSTCContext : JsonSerializerContext;