using System.Text.Json.Serialization;
using Luski.Shared.PublicServers.V1.Enums;

namespace Luski.Shared.PublicServers.V1.ClientToServer.HTTP;

public class StatusUpdateCTS : CTS
{
    [JsonInclude]
    [JsonPropertyName("status")]
    public UserStatus Status { get; set; }
}

[JsonSerializable(typeof(StatusUpdateCTS))]
[JsonSourceGenerationOptions(
    GenerationMode = JsonSourceGenerationMode.Default,
    PropertyNamingPolicy = JsonKnownNamingPolicy.CamelCase,
    WriteIndented = false)]
public partial class StatusUpdateCTSContext : JsonSerializerContext;