using System.Text.Json.Serialization;

namespace Luski.Shared.PublicServers.V1.ClientToServer.HTTP;

public class StorageInfoCTS : CTS
{
    [JsonInclude]
    [JsonPropertyName("password")]
    public string Password { get; set; } = string.Empty;
}

[JsonSerializable(typeof(StorageInfoCTS))]
[JsonSourceGenerationOptions(
    GenerationMode = JsonSourceGenerationMode.Default,
    PropertyNamingPolicy = JsonKnownNamingPolicy.CamelCase,
    WriteIndented = false)]
public partial class StorageInfoCTSContext : JsonSerializerContext;