using System.Text.Json.Serialization;

namespace Luski.Shared.PublicServers.V1.ServerToClient.HTTP;

public class LoginSTC : STC
{
    [JsonInclude]
    [JsonPropertyName("login_token")]
    public string Token { get; set; } = default!;
}

[JsonSerializable(typeof(LoginSTC))]
[JsonSourceGenerationOptions(
    GenerationMode = JsonSourceGenerationMode.Default,
    PropertyNamingPolicy = JsonKnownNamingPolicy.Unspecified,
    WriteIndented = false,
    DefaultIgnoreCondition = JsonIgnoreCondition.Never)]
public partial class LoginSTCContext : JsonSerializerContext;