using System.Text.Json.Serialization;

namespace Luski.Shared.PublicServers.V1.ServerToClient.HTTP;

public class RolesSTC : STC
{
    [JsonInclude]
    [JsonPropertyName("roles")]
    public RoleSTC[] Roles { get; set; } = Array.Empty<RoleSTC>();
}

[JsonSerializable(typeof(RolesSTC))]
[JsonSourceGenerationOptions(
    GenerationMode = JsonSourceGenerationMode.Default,
    PropertyNamingPolicy = JsonKnownNamingPolicy.Unspecified,
    WriteIndented = false,
    DefaultIgnoreCondition = JsonIgnoreCondition.Never)]
public partial class RolesSTCContext : JsonSerializerContext;