using System.Text.Json.Serialization;

namespace Luski.Shared.PublicServers.V1.ServerToClient.HTTP;

public class StorageInfoSTC : STC
{
    [JsonInclude]
    [JsonPropertyName("id")]
    public long ID { get; set; }
    [JsonInclude]
    [JsonPropertyName("update")]
    public bool Update { get; set; }
    [JsonInclude]
    [JsonPropertyName("password")]
    public string Password { get; set; } = string.Empty;
}

[JsonSerializable(typeof(StorageInfoSTC))]
[JsonSourceGenerationOptions(
    GenerationMode = JsonSourceGenerationMode.Default,
    PropertyNamingPolicy = JsonKnownNamingPolicy.Unspecified,
    WriteIndented = false,
    DefaultIgnoreCondition = JsonIgnoreCondition.Never)]
public partial class StorageInfoSTCContext : JsonSerializerContext;